hadoop-yarn-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jonathan Eagles (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (YARN-2830) Add backwords compatible ContainerId.newInstance constructor for use within Tez Local Mode
Date Fri, 07 Nov 2014 20:22:34 GMT

    [ https://issues.apache.org/jira/browse/YARN-2830?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14202593#comment-14202593
] 

Jonathan Eagles commented on YARN-2830:
---------------------------------------

[~ozawa], I understand your fix, and that is the correct fix in Tez. But right now I am looking
at clusters that are running Tez 0.5.1 running on Hadoop 2.5.1. Those clusters can't be upgraded
to Hadoop 2.6.0 without breaking Tez. This is purely to maintain backwards compatibility in
Hadoop. 

> Add backwords compatible ContainerId.newInstance constructor for use within Tez Local
Mode
> ------------------------------------------------------------------------------------------
>
>                 Key: YARN-2830
>                 URL: https://issues.apache.org/jira/browse/YARN-2830
>             Project: Hadoop YARN
>          Issue Type: Bug
>            Reporter: Jonathan Eagles
>            Assignee: Jonathan Eagles
>            Priority: Blocker
>         Attachments: YARN-2830-v1.patch
>
>
> YARN-2229 modified the private unstable api for constructing. Tez uses this api (shouldn't,
but does) for use with Tez Local Mode. This causes a NoSuchMethod error when using Tez compiled
against pre-2.6. Instead I propose we add the backwards compatible api since overflow is not
a problem in tez local mode.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message